setwd("c:\\users\\shipunov\\temp")
nuph <- read.table("nuphar99.dat", h=T, sep=";")
str(nuph)
summary(nuph)
stripchart(nuph)
oldpar <- par(mfrow=c(2,2), bg="white")
hist(nuph$SEPALS); hist(nuph$PETALS); hist(nuph$ANTHERS); hist(nuph$PISTILS)
for (i in 1:4) hist(nuph[[i]], main=names(nuph[i]), xlab="")
dev.print(png, file="his-nuph.png", width=600, height=600)
for (i in 1:4) plot(density(nuph[[i]], na.rm=T), main=names(nuph[i]))
dev.print(png, file="den-nuph.png", width=600, height=600)
for (i in 1:4) {qqnorm(nuph[i], main=names(nuph[i])); qqline(nuph[i])}
dev.print(png, file="qqn-nuph.png", width=600, height=600)
pairs(nuph)
dev.print(png, file="pai-nuph.png", width=600, height=600)
cor(na.omit(nuph))
nuph1 <- nuph
nuph1$PISTILS[is.na(nuph1$PISTILS)] <- median(nuph1$PISTILS, na.rm=T)
str(nuph1)
cor(nuph1)
source("shrtcor.r")
shrt.cor(cor(nuph1))
sort(shrt.cor(cor(nuph1)))
attach(nuph1)
cor.test(ANTHERS,PISTILS)
cor.test(ANTHERS,PISTILS, method="spearman")
pet <- cut(PETALS, c(0,16,30), labels=c("lpet", "hpet"))
pist <- cut(PISTILS, c(0,14,30), labels=c("lpist", "hpist"))
table(pet,pist)
summary(table(pet,pist))
par(mfrow=c(1,2))
hist(ANTHERS[pet=="lpet"]); hist(ANTHERS[pet=="hpet"])
wilcox.test(ANTHERS[pet=="lpet"], ANTHERS[pet=="hpet"])
wilcox.test(ANTHERS[pist=="lpist"], ANTHERS[pist=="hpist"])
hist(ANTHERS[pist=="lpist"]); hist(ANTHERS[pist=="hpist"])
par(mfrow=c(1,1))
nuph.lm <- lm(PISTILS ~ ANTHERS)
summary(nuph.lm)
coef(nuph.lm)
plot(ANTHERS,PISTILS,xlab="Number of anthers",ylab="Number of pistils",main="Nuphar luteum")
abline(nuph.lm, col=2, lty=1)
text(145, 13.5, "PISTILS = 0.05*ANTHERS + 6.62", cex=.8)
dev.print(png, file="lm-nuph.png", width=600, height=600)
coplot(PISTILS ~ ANTHERS | PETALS)
dev.print(png, file="cop-nuph.png", width=600, height=600)